Having trouble registering ESP32

Hi all,

I am just getting started with zerynth. I searched the web and this forum for others with this problem but could not seem to find an answer. I am trying to register an ESP32. I read the getting started guide, and I think I’m getting close but I am getting an error at the end of the registering process that looks like this:

[info] Starting device registration

[info] Burning bootloader...

[info] Burning bin

[info] esptool.py v2.0

[info] Connecting.......

[info] Chip is ESP32D0WDQ6 (revision (unknown 0xa))

[info] Uploading stub...

[info] Running stub...

[info] Stub running...

[info] Configuring flash size...

[info] Auto-detected Flash size: 4MB

[info] Compressed 19584 bytes to 12813...

[info] 

[info] Writing at 0x00001000... (100 %)

[info] Wrote 19584 bytes (12813 compressed) at 0x00001000 in 1.1 seconds (effective 137.9 kbit/s)...

[info] Hash of data verified.

[info] Compressed 305280 bytes to 181775...

[info] 

[info] Writing at 0x00010000... (8 %)

[info] Writing at 0x00014000... (16 %)

[info] Writing at 0x00018000... (25 %)

[info] Writing at 0x0001c000... (33 %)

[info] Writing at 0x00020000... (41 %)

[info] Writing at 0x00024000... (50 %)

[info] Writing at 0x00028000... (58 %)

[info] Writing at 0x0002c000... (66 %)

[info] Writing at 0x00030000... (75 %)

[info] Writing at 0x00034000... (83 %)

[info] Writing at 0x00038000... (91 %)

[info] Writing at 0x0003c000... (100 %)

[info] Wrote 305280 bytes (181775 compressed) at 0x00010000 in 16.1 seconds (effective 151.9 kbit/s)...

[info] Hash of data verified.

[info] Compressed 3072 bytes to 156...

[info] 

[info] Writing at 0x00008000... (100 %)

[info] Wrote 3072 bytes (156 compressed) at 0x00008000 in 0.0 seconds (effective 1023.9 kbit/s)...

[info] Hash of data verified.

[info] Compressed 1024 bytes to 32...

[info] 

[info] Writing at 0x00390000... (100 %)

[info] Wrote 1024 bytes (32 compressed) at 0x00390000 in 0.0 seconds (effective 630.1 kbit/s)...

[info] Hash of data verified.

[info] 

[info] Leaving...

[info] Hard resetting...

[info] Chip id retrieved: 42a04c5cbe83

[fatal] Error during remote registration

Traceback (most recent call last):

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\connectionpool.py", line 600, in urlopen

    chunked=chunked)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\connectionpool.py", line 343, in _make_request

    self._validate_conn(conn)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\connectionpool.py", line 849, in _validate_conn

    conn.connect()

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\connection.py", line 356, in connect

    ssl_context=context)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\util\ssl_.py", line 359, in ssl_wrap_socket

    return context.wrap_socket(sock, server_hostname=server_hostname)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\ssl.py", line 377, in wrap_socket

    _context=self)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\ssl.py", line 752, in __init__

    self.do_handshake()

  File "C:\Users\Miclah\zerynth2\sys\python\lib\ssl.py", line 988, in do_handshake

    self._sslobj.do_handshake()

  File "C:\Users\Miclah\zerynth2\sys\python\lib\ssl.py", line 633, in do_handshake

    self._sslobj.do_handshake()

ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\adapters.py", line 445, in send

    timeout=timeout

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\connectionpool.py", line 638, in urlopen

    _stacktrace=sys.exc_info()[2])

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\urllib3\util\retry.py", line 398, in increment

    raise MaxRetryError(_pool, url, error or ResponseError(cause))

urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='backend.zerynth.com', port=443): Max retries exceeded with url: /v1/devices (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)'),))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "C:\Users\Miclah\zerynth2\dist\r2.3.2\ztc\devices\devcmd.py", line 351, in _register_device

    res = zpost(url=env.api.devices, data=dinfo)

  File "C:\Users\Miclah\zerynth2\dist\r2.3.2\ztc\base\zrequests.py", line 38, in zpost

    return requests.post(url=url, headers=hh, data=json.dumps(data, cls=ZjsonEncoder),timeout=timeout,verify=_ssl_verify,proxies=env.proxies)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\api.py", line 112, in post

    return request('post', url, data=data, json=json, **kwargs)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\api.py", line 58, in request

    return session.request(method=method, url=url, **kwargs)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\sessions.py", line 512, in request

    resp = self.send(prep, **send_kwargs)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\sessions.py", line 622, in send

    r = adapter.send(request, **kwargs)

  File "C:\Users\Miclah\zerynth2\sys\python\lib\site-packages\requests\adapters.py", line 511, in send

    raise SSLError(e, request=request)

requests.exceptions.SSLError: HTTPSConnectionPool(host='backend.zerynth.com', port=443): Max retries exceeded with url: /v1/devices (Caused by SSLError(SSLError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)'),))

Can someone please point me in the right direction here? I love the idea of zerynth, it should be very useful to me if I can get past this.

Thanks in advance.

hi @MKoehn
Could you try to fully erase Esp32 memory before trying to register it? You can do it from Zerynth Studio:

Click on:

image
the “i” button

image
the “erase flash” button

after that, try to register it again and let me know, thanks!

Thanks for the reply. I have tried that numerous times, but I always get the same error when trying to re-register. :expressionless: